View Issue Details

IDProjectCategoryView StatusLast Update
0014393MediaMonkey 5Main Panelpublic2020-12-10 00:49
Reporterrusty Assigned To 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionunable to reproduce 
Product Version5.0 
Target Version5.0 
Summary0014393: Mass Edits cause the tracklist to move
DescriptionI noticed this while testing in the Video node:list view, but it presumably occurs in other views as well:

1 Select 30 tracks somewhere in the top 1/4 of tracks
2 Perform a mass edit (I changed the Type)
-->
The position of the list view changes--it advances by >100 tracks. It should remain at the same position.
TagsNo tags attached.
Fixed in build

Activities

jiri

2017-09-13 16:14

administrator   ~0048741

Per IM discussion, it's probably just an expected behavior. While might try to better estimate where user expects to be scrolled after such an operation, it probably isn't worth the effort.

peke

2020-08-05 00:10

developer   ~0059240

Last edited: 2020-08-14 22:54

View 2 revisions

Verified 2262

I agree with Jiri, that it is desired behavior.

@Rusty Please close after review.

peke

2020-10-21 00:31

developer   ~0059915

Retested using exact steps in 2270 by trying to replicate 20+ times:
1. Select 30 video tracks (Video tree node -> All videos -> List view, tracks 50-80 out of 300 tracks in List) -> right click properties
2. Changed Type From Video to TV -> OK
3. View do not update update files are still there and when I press F5 to refresh view position do not change.

Can you please clarify steps to replicate or close as fixed?

rusty

2020-12-10 00:49

administrator   ~0060664

Closing--unable to replicate in 2281.